Incoming Custom Channel Message

This endpoint receives incoming messages from a custom channel and publishes them to a Pub/Sub topic for further processing.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Body:

The request body should be a JSON object containing custom data specific to your implementation. However, it's expected to include the following properties (though some may be optional depending on the message type):

  • messageSid (optional): Unique identifier for the message in the originating channel.
  • fromId: The ID of the message sender.
  • toId: The ID of the message recipient.
  • body (optional): The message content (text).
  • status (optional): The message status (e.g., "received", "delivered").
  • mediaUrl (optional): URL of any attached media (image, video, etc.).
  • mediaContentType (optional): Content type of the attached media (e.g., "image/jpeg").
  • messageType (optional): Type of message (e.g., "text", "reaction").
Query Params
string

Your unique API key for authentication.

Body Params
string

Unique identifier for the message in the originating channel.

string

The ID of the message sender.

string

The ID of the message recipient.

string

The message content (text)

string

The message status (e.g., "received", "delivered").

string

URL of any attached media (image, video, etc.)

string

Content type of the attached media (e.g., "image/jpeg")

string

Type of message (e.g., "text", "reaction").

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json